library(ineq)
library(readr)
library(data.table)

dir = dirname(rstudioapi::getActiveDocumentContext()$path)
workspace = gsub("Model", "Raw Data", dir)
setwd(workspace)

O = read_csv("Mueller.csv")

dir = dirname(rstudioapi::getActiveDocumentContext()$path)
workspace = paste(dir, "/Functions", sep = "")
setwd(workspace)

  files = list.files(pattern = "csv")
  files = files[files != "Mueller.csv"]
  fit <- do.call(rbind,lapply(files, read_csv))
  fit[, 2:5] = fit[, 2:5]*1000    
  
  
  O.match = do.call("rbind", replicate(length(unique(fit$type)), O, simplify = FALSE))
  error  =   rowSums( abs((O.match[ ,3:6] - fit[, 2:5])) , na.rm = T)
  O.match$error = error
  
  O.match = data.table(fit, O.match)
  O.match$error[O.match$error == Inf] = 10^10
  
  best = O.match[ , .I[error == min(error, na.rm = T)], by = Level]
  best = O.match[best$V1]
  
  
  n.groups = length(best$gini)
  g.outer = ineq(best$mean)*n.groups/(n.groups-1)
  g.inner = mean(best$gini)
  g.ratio = g.outer/g.inner



result = data.frame(Year = "2004-2013", g.outer, g.inner, g.ratio, Type = "Hierarchical Level \n(Mueller et al.)", n.groups)


dir = dirname(rstudioapi::getActiveDocumentContext()$path)
workspace = gsub("Model", "Results", dir)
setwd(workspace)

write.csv(result, "Mueller G ratio.csv")
write_csv(best, "Mueller Mean and Gini by Level.csv")



