
library(readr)
library(flux)
library(data.table)
library(zoo)

rep.row<-function(x,n){  matrix(rep(x,each=n),nrow=n)}
rep.col<-function(x,n){  matrix(rep(x,each=n), ncol=n, byrow=TRUE)}


dir = dirname(rstudioapi::getActiveDocumentContext()$path)

d1 = read_csv("Dohmen_2.csv")
d1[d1 < 0] = 0
start = c(14.6,rep(0,8))
d1 = rbind(start, d1)
d1$Curve3[d1$x> 50] = 0

emp = read_csv("Dohmen Data.csv")
emp = subset(emp, emp$Year == 1991)
emp = emp[order(emp$Level), ]
emp.matrix = rep.row(emp$N[1:8]/100, length(d1$x))

# find probability density function
y= d1[, 2:9]*emp.matrix
pdf = data.table(x = d1$x, y = rowSums(y))

# find mean
x.mean = weighted.mean(pdf$x, pdf$y)

# find cumulative distribution function
cdf = cumsum(   diff(pdf$x)*rollmean(pdf$y,2) )
cdf = data.table(x = cumsum(diff(pdf$x)), y = cdf )  


# normalize area of cdf
cdf$y = cdf$y/tail(cdf$y,1)

# g = int/x.mean,   where   int = integral{ (1 - cdf)*cdf  } 

int = (1 - cdf$y)*cdf$y
g =  auc(cdf$x, int)/x.mean







