
library(readr)
library(reshape2)
library(here)

rep.row<-function(x,n){  matrix(rep(x,each=n),nrow=n)}
rep.col<-function(x,n){  matrix(rep(x,each=n), ncol=n, byrow=TRUE)}


dir = here()
workspace = paste(dir, "/Data", sep = "")
setwd(workspace)


  g = read_csv("Dohmen Gini.csv")
  dohmen = read_csv("Dohmen Data.csv")
  d = read_csv("Dohmen_1.csv")
  t = unique(round(d$x))
  l = length(d$x)
  
  years = rep.row(t,l)
  test = rep.col(d$x,10)
  test = abs(years - test)
  
  find = function(x){which(x == min(x))}
  
  best = data.frame(apply(test, 2, find))
  best = as.numeric(best[1,])
  
  d = d[best,-1]
  d = melt(d)
  d$Year = rep(t, 8)
  d$Level = rep(1:8, each = 10)
  d = d[order(d$Year, d$Level),]

  dohmen = dohmen[order(dohmen$Year, dohmen$Level),]
  
  dohmen$Mean[dohmen$Level %in% d$Level] = d$value*1000

# gini year = 1991
dohmen$Gini[dohmen$Year == 1991] = c(g$Gini, NA)

setwd(dir)
write_csv(dohmen, "Dohmen Level Results.csv")



