library(readr)
library(reshape2)
library(NORMT3)
library(here)


dir = here()
setwd(dir)


  l1 = read_csv("Lima_1.csv")
  l2 = read_csv("Lima Data.csv")
  
  
  l1$x = round(l1$x)
  l1$x = l1$x + 1900
  
  l1 = aggregate(l1, list(l1$x), FUN = mean)
  long = l1[,3:9]
  long = melt(long)
  long$year = rep(l1$x, 7)
  long$level = rep(7:1, each = 5)
  
  
  long = long[order(long$year, long$level),]
  
  l2$Pay[l2$Level %in% long$level] = long$value
  
  
  
  sigma = sqrt(log((l2$`COV (Total Wage)`/100)^2 +1))
  sigma[is.na(sigma)] = 0
  
  g = Re(erf(sigma/2))


output = data.frame(Year = l2$Year, Level = l2$Level, N = l2$N, Mean = l2$Pay, Gini = g, Source = l2$Source)
output = na.omit(output)

write_csv(output, "Lima Level Results.csv")
